package io.swagger.model.geno;

import com.fasterxml.jackson.annotation.JsonProperty;

import io.swagger.model.BrAPIResponse;
import io.swagger.model.Context;
import io.swagger.model.Metadata;

public class ReferenceBasesPageSingleResponse implements BrAPIResponse<ReferenceBasesPage> {
    @JsonProperty("@context")
    private Context _atContext;

    private Metadata metadata;
    private ReferenceBasesPage result;

    public void set_atContext(Context _atContext) {
        this._atContext = _atContext;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public ReferenceBasesPage getResult() {
        return result;
    }

    public void setResult(ReferenceBasesPage result) {
        this.result = result;
    }
}
